﻿DECLARE 
@@QUERY VARCHAR (MAX), @@SERVER_NAME VARCHAR (MAX);

SET @@SERVER_NAME = COALESCE((SELECT SYSTEM_VALUE FROM [dbo].[TB_M_SYSTEM] WHERE FUNCTION_ID = 'LINKED_SERVER' AND SYSTEM_CD = 'NEW_ICS_DB'),'[BB071_DB]');

SET @@QUERY = 'SELECT * FROM OPENQUERY('+@@SERVER_NAME+', ''SELECT SOURCE_TYPE FROM BB071_DB.dbo.TB_M_SOURCE_TYPE'')';
SET @@QUERY = REPLACE(@@QUERY,'{0}',@@SERVER_NAME);

EXEC(@@QUERY)